%global _source_filedigest_algorithm 1
%global _binary_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%global spice_data_dir  %{_datadir}/spice


Name: rhevm-spice-client
Version: 3.1
Release: 8%{?dist}
License: GPLv2+
Summary: Spice Client MSI for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/

Source0: spice-client-msi-3.1-8-spec.zip
Source1: SpiceX_x64.cab
Source2: spice-client-msi-3.1-8-sources.zip
Source3: SpiceX_x86.cab
Source4: SpiceVersion.txt

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: rhevm >= 3.1.0
Obsoletes: rhevm-spice-client-x86-msi
Obsoletes: rhevm-spice-client-x64-msi

%description
Spice client MSI for Red Hat Enterprise Virtualization Manager

%package x86-cab
Summary: Spice client 32bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x86-cab
The 32bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%package x64-cab
Summary: Spice client 64bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x64-cab
The 64bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{spice_data_dir}


/bin/cp %{SOURCE1} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE3} %{buildroot}%{spice_data_dir}/
/bin/cp %{SOURCE4} %{buildroot}%{spice_data_dir}/

mv %{buildroot}%{spice_data_dir}/{SpiceX_x86.cab,SpiceX.cab}
cp %{buildroot}%{spice_data_dir}/SpiceVersion{,_x64}.txt

%clean
rm -rf %{buildroot}

%files x64-cab
%{spice_data_dir}/SpiceX_x64.cab
%{spice_data_dir}/SpiceVersion_x64.txt

%files x86-cab
%{spice_data_dir}/SpiceX.cab
%{spice_data_dir}/SpiceVersion.txt

%changelog
* Wed Nov 14 2012 Uri Lublin <uril@redhat.com> - 3.1-8
- Obsolete msi packages.
- Requires rhevm >= 3.1.0
- Delete BuildRequired spicex-* lines
- Get version from Source5
- Bugs fixed: 857119 872640


* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-7
- Bump spicex version.
- Bugs fixed 857430 857389 871125 871562
- Based on mingw-virt-viewer-0.5.3-16

* Wed Oct 31 2012 Uri Lublin <uril@redhat.com> - 3.1-6
- Bug fixes, including 856312, 856317, 856538, 861214, 864033, 869542
- Based on mingw-virt-viewer-0.5.3-14

* Tue Aug 07 2012 Uri Lublin <uril@redhat.com> - 3.1-4
- license files were added to usbclerk.

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-2
- 'rpm -ql' debug commands removed

* Wed Aug 01 2012 Uri Lublin <uril@redhat.com> - 3.1-1
- First build for RHEV-M 3.1: many changes including
-   client is now remote-viewer (replacing spicec)
-   Cab files are now located under /usb/share/spice.
-   No msi files are provided.

* Thu Mar 22 2012 Uri Lublin <uril@redhat.com> - 3.0-29
- client/windows (spicec-win): fix sending alt-gr key to guest.
  + handle redundant right ctrl windows message sent when alt-gr is pressed
Resolves: #789375
- spice ActiveX (spicex-win): add logging messages
Resolves: #802395

* Mon Mar 12 2012 Uri Lublin <uril@redhat.com> - 3.0-28
- client/windows (spicec-win): fix SetClipboardViewer error handling
Resolves: #800306

* Sun Jan 15 2012 Uri Lublin <uril@redhat.com> - 3.0-26
- Added changelog
Resolves: #769666
Resolves: #771956

* Tue Jan 10 2012 Uri Lublin <uril@redhat.com> - 3.0-25
- update spice-client menu if needed when exiting full-screen mode
  helps "protect" spice-client menu when in full-screen mode
Resolves: #769666
- foreign-menu: pass "active" param when creating a ForeignMenu
  helps spice-usb "auto-share" mode
Resolves: #771956

* Thu Oct 27 2011 Uri Lublin <uril@redhat.com> - 3.0-21
- spice semi-seamless migration
Resolves: #748972

* Mon Sep 19 2011 Uri Lublin <uril@redhat.com> - 3.0-19
 - Rename user-portal directory prefix from org.nogah to org.ovirt.engine.ui
   to match RHEV-M namespace.
Resolves: #739756

* Mon Jul 18 2011 Arnon Gilboa <agilboa@redhat.com> - deploy a SpiceVersion file within RHEV-M user-portal war #722783 - 3.0-12
* Sun Jul 17 2011 Arnon Gilboa <agilboa@redhat.com> - replace userportal path prefix to org.nogah #721360 - 3.0-11
* Thu Mar 31 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
